import request from '@/utils/request'

// 查询薄弱跟踪列表
export function listRisk(query) {
  return request({
    url: '/system/risk/list',
    method: 'get',
    params: query
  })
}

// 查询薄弱跟踪详细
export function getRisk(riskId) {
  return request({
    url: '/system/risk/' + riskId,
    method: 'get'
  })
}

// 新增薄弱跟踪
export function addRisk(data) {
  return request({
    url: '/system/risk',
    method: 'post',
    data: data
  })
}

// 修改薄弱跟踪
export function updateRisk(data) {
  return request({
    url: '/system/risk',
    method: 'put',
    data: data
  })
}

// 删除薄弱跟踪
export function delRisk(riskId) {
  return request({
    url: '/system/risk/' + riskId,
    method: 'delete'
  })
}

// 导出薄弱跟踪
export function exportRisk(query) {
  return request({
    url: '/system/risk/export',
    method: 'get',
    params: query
  })
}